Xalan-Java 2.7.1: Class TreeWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Class TreeWalker

    java.lang.Object
      |
      +--org.apache.xml.serializer.TreeWalker

public final class TreeWalker
extends java.lang.Object

This class does a pre-order walk of the DOM tree, calling a ContentHandler interface as it goes. This class is a copy of the one in org.apache.xml.utils. It exists to cut the serializers dependancy on that package.

Usage:
  **For internal use only**

Constructor Summary
`TreeWalker(ContentHandler ch)`
`TreeWalker(ContentHandler contentHandler, java.lang.String systemId)` Constructor.

Method Summary
`ContentHandler` | `getContentHandler()` Get the ContentHandler used for the tree walk.
`void` | `traverse(Node pos)` Perform a pre-order traversal non-recursive style.
`void` | `traverse(Node pos, Node top)` Perform a pre-order traversal non-recursive style.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeWalker

    public TreeWalker(ContentHandler ch)

### TreeWalker

    public TreeWalker(ContentHandler contentHandler,
                      java.lang.String systemId)

  Constructor.
  Parameters:
    `contentHandler` - The implemention of the contentHandler operation (toXMLString, digest, ...)

Method Detail

### getContentHandler

    public ContentHandler getContentHandler()

  Get the ContentHandler used for the tree walk.
  Returns:
    the ContentHandler used for the tree walk

### traverse

    public void traverse(Node pos)
                  throws SAXException

  Perform a pre-order traversal non-recursive style. Note that TreeWalker assumes that the subtree is intended to represent a complete (though not necessarily well-formed) document and, during a traversal, startDocument and endDocument will always be issued to the SAX listener.
  Parameters:
    `pos` - Node in the tree where to start traversal
  Throws:
    TransformerException -

### traverse

    public void traverse(Node pos,
                         Node top)
                  throws SAXException

  Perform a pre-order traversal non-recursive style. Note that TreeWalker assumes that the subtree is intended to represent a complete (though not necessarily well-formed) document and, during a traversal, startDocument and endDocument will always be issued to the SAX listener.
  Parameters:
    `pos` - Node in the tree where to start traversal
    `top` - Node in the tree where to end traversal
  Throws:
    TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.